import { MDCRipple } from '@material/ripple';
import { h } from "@stencil/core";
export class Fab {
    componentDidLoad() {
        MDCRipple.attachTo(this.host.shadowRoot.querySelector('.mdc-fab'));
    }
    renderIcon() {
        return this.icon ? (h("materials-icon", { name: this.icon })) : null;
    }
    render() {
        return (h("button", { class: "mdc-fab" },
            h("span", { class: "mdc-fab__icon material-icons" }, this.renderIcon())));
    }
    static get is() { return "materials-fab"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() { return {
        "$": ["fab.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["fab.css"]
    }; }
    static get properties() { return {
        "name": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "name",
            "reflect": false
        },
        "icon": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "icon",
            "reflect": false
        },
        "radius": {
            "type": "number",
            "mutable": false,
            "complexType": {
                "original": "number",
                "resolved": "number",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "radius",
            "reflect": false
        }
    }; }
    static get elementRef() { return "host"; }
}
